org.kie.api.internal.assembler

## Interface KieAssemblers

- All Superinterfaces:
    KieService, Service

      public interface KieAssemblers
      extends KieService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `addResource(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` Deprecated. As of version 7.51.0 replaced by `addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)`
    `void` | `addResourceAfterRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)`
    `void` | `addResourceBeforeRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)`
    `default void` | `addResources(Object knowledgeBuilder, List<ResourceWithConfiguration> resources, ResourceType type)` Deprecated. As of version 7.51.0 replaced by `addResourcesAfterRules(Object, List, ResourceType)`
    `void` | `addResourcesAfterRules(Object knowledgeBuilder, List<ResourceWithConfiguration> resources, ResourceType type)`

- - ### Method Detail

    - #### addResourceBeforeRules

          void addResourceBeforeRules(Object knowledgeBuilder,
                                      Resource resource,
                                      ResourceType type,
                                      ResourceConfiguration configuration)
                               throws Exception

      Throws:
        `Exception`

    - #### addResourceAfterRules

          void addResourceAfterRules(Object knowledgeBuilder,
                                     Resource resource,
                                     ResourceType type,
                                     ResourceConfiguration configuration)
                              throws Exception

      Throws:
        `Exception`

    - #### addResourcesAfterRules

          void addResourcesAfterRules(Object knowledgeBuilder,
                                      List<ResourceWithConfiguration> resources,
                                      ResourceType type)
                               throws Exception

      Throws:
        `Exception`

    - #### addResource

          @Deprecated
          default void addResource(Object knowledgeBuilder,
                                               Resource resource,
                                               ResourceType type,
                                               ResourceConfiguration configuration)
                                        throws Exception

      Deprecated. As of version 7.51.0 replaced by `addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)`
      Throws:
        `Exception`

    - #### addResources

          @Deprecated
          default void addResources(Object knowledgeBuilder,
                                                List<ResourceWithConfiguration> resources,
                                                ResourceType type)
                                         throws Exception

      Deprecated. As of version 7.51.0 replaced by `addResourcesAfterRules(Object, List, ResourceType)`
      Throws:
        `Exception`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.